<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="paymentMethods"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idPaymentMethod"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['payment-method-popup-new-list', idMethodType] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.paymentMethod.refKey'|translate}}" field="refKey" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.paymentMethod.description'|translate}}" field="description" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.paymentMethod.accountNumber'|translate}}" field="accountNumber" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.paymentMethod.methodType'|translate}}" *ngIf="idMethodType === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.methodTypeId">
                    <a [routerLink]="['../payment-method-type', rowData.methodTypeId  ]" >{{rowData.methodTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'payment-method/'+ rowData.idPaymentMethod + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idPaymentMethod)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
